import React from 'react';
import { storiesOf, action, linkTo } from '@kadira/storybook'
import {
  App,
  Box,
  Select,
  Pane,
  Content
} from '../components'

export default function selectStory (module) {
  storiesOf('Select', module)
    .add('usage', () => (
      <App white>
        <Pane white padding={10}>
          <Content markdown>
{`
# Select

The Select component is a \`select\` element. Implement the \`<Box />\` component.

\`\`\`
<Select>
  <option value="grapefruit">Grapefruit</option>
  <option value="lime">Lime</option>
  <option value="coconut">Coconut</option>
  <option value="mango">Mango</option>
</Select>
\`\`\`

`}
          </Content>
          <Select>
            <option value="grapefruit">Grapefruit</option>
            <option value="lime">Lime</option>
            <option value="coconut">Coconut</option>
            <option value="mango">Mango</option>
          </Select>
        </Pane>
      </App>
    ))
}
